local wezterm = require 'wezterm'
local config = {}
local theme = require('theme/init').main

-- Font configuration
config.font = wezterm.font 'JetBrainsMono Nerd Font'
config.font_size = 11.0

config.colors = theme.colors()

-- Window
config.enable_tab_bar = false
config.window_close_confirmation = 'NeverPrompt'

config.wayland_scroll_factor = 0.15

-- Wayland specific fixes
config.enable_wayland = true

-- Enable Kitty keyboard protocol for better key disambiguation (Ctrl+I vs Tab)
config.enable_kitty_keyboard = true

return config
